package com.docus.bgts.facade;


import com.baomidou.mybatisplus.extension.service.IService;
import com.docus.bgts.entity.AfCollectTask;
import com.docus.bgts.entity.ReportDownDto;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 病案采集任务 服务类
 * </p>
 *
 * @author 曾文和
 * @since 2021-05-07
 */
public interface IAfCollectTaskService extends IService<AfCollectTask> {
    /**
     * 获取病案id通过报告唯一单号
     */
    String getpatientIdByEmpId(String empId);

    void insert(ReportDownDto reportDownDto);

    void updateInterfaceCollect(String collectSubId, int state);

    /**
     * 通过出院日期获取患者jzh
     * @param startDate 开始日期
     * @param endDate   结束日期
     * @return
     */
    List<String> getjzhByDate(String startDate,String endDate);

    /**
     * 通过记帐号获取唯一报告单号
     * @param patientIds
     * @return
     */
    List<String> getC1ByPatientId(List<String> patientIds,String collectorId);

    /**
     * 通过唯一报告单号获取patient_id
     * @param C1s
     * @return
     */
    List<String> getPatientIdByC1(List<String> C1s);

    /**
     * 通过记帐号获取jzh
     * @param patientIds
     * @return
     */
    List<String> getJzhByPatientId(List<String> patientIds);
}
