package com.docus.bgts.mapper.dbmysql;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.docus.bgts.entity.AfCollectAdd;
import com.docus.bgts.entity.MzSync;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Select;

import java.util.Date;
import java.util.List;
import java.util.Map;

public interface AfCollectAddMapper extends BaseMapper<AfCollectAdd> {
    /**
     * 获取最新的采集时间
     */
    Date getTimeByAdd();

    /**
     * 获取jzh集合
     * @param pageNumber
     * @param pageSize
     * @return
     */
    List<String> listJzh(@Param("pageNumber") int pageNumber,@Param("pageSize") Integer pageSize);

    /**
     * 数据完整性校验
     * @param mzSyncs
     * @return
     */
    List<Map> integrality(@Param("mzSyncs") List<MzSync> mzSyncs);

    /**
     * 直接执行sql
     * @param sql
     */
    @Select("${sqlStr}")
    void dynamicSql(@Param("sqlStr")String sql);

    /**
     * 写入tbasic完整性校验结果
     * @param result
     * @param jzh
     */
    void updateTBasic(@Param("result") String result,@Param("jzh") String jzh);

    /**
     * 增量获取jzh
     * @param front
     * @param later
     * @return
     */
    List<String> listJzhAndAdd(@Param("front") int front,@Param("later") int later,@Param("startDate") String startDate,@Param("endDate")String endDate);
}
