package com.docus.bgts.mapper.dbmysql;


import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.docus.bgts.entity.AfCollectTask;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 病案采集任务 Mapper 接口
 * </p>
 *
 * @author 曾文和
 * @since 2021-05-07
 */
public interface AfCollectTaskMapper extends BaseMapper<AfCollectTask> {
    /**
     * 获取病案id通过报告唯一单号
     * @param empId
     * @return
     */
    String getpatientIdByEmpId(@Param("jzh") String empId);


    /**
     * 通过出院日期获取患者jzh
     * @param startDate 开始日期
     * @param endDate   结束日期
     * @return
     */
    List<String> getjzhByDate(@Param("startDate") String startDate,@Param("endDate") String endDate);

    /**
     * 通过记帐号与采集器编号获取唯一报告单号
     * @param patientIds 记帐号集合
     * @param collectorId 采集器编号
     * @return
     */
    List<String> getC1ByPatientId(@Param("patientIds") List<String> patientIds,@Param("collectorId") String collectorId);

    /**
     * 通过唯一报告单号获取patient_id
     * @param C1s
     * @return
     */
    List<String> getPatientIdByC1(@Param("C1s") List<String> C1s);
    /**
     * 通过记帐号获取jzh
     * @param patientIds 记帐号集合
     * @return
     */
    List<String> getJzhByPatientId(@Param("patientIds") List<String> patientIds);
}
